import { Component, OnInit } from '@angular/core';
import { AlertController } from '@ionic/angular';
import { GlobalService } from '../../services/global.service';
import { ConfiguracaoProvider } from '../../services/configuracao/configuracao';
import { Router } from '@angular/router'

@Component({
  selector: 'mob-button-franquia',
  templateUrl: './mob-button-franquia.component.html',
  styleUrls: ['./mob-button-franquia.component.scss']
})
export class MobButtonFranquiaComponent implements OnInit {

  constructor(public globalService: GlobalService,
    private alertCtrl: AlertController,
    private config: ConfiguracaoProvider,
    private router: Router) { 

    }

  ngOnInit() {
  }

  async mudarFranquia(){
    let confirm = await this.alertCtrl.create({
      header: "Deseja realmente mudar de cidade?",
      message: "",
      buttons: [
        {
          text: "Não",
          handler: () => {
            console.log("Disagree clicked");
          }
        },
        {
          text: "Sim",
          handler: () => {
            this.config.removeFranquia()
            .then(
              () =>{
                this.router.navigateByUrl('\seleciona-franquia');                
              }
            )
            .catch(
              (err) => {alert("Erro ao mudar franquia. Erro: " + err.message)}

            );
            
          }
        }
      ]
    });
    confirm.present();
  }


}
