import { Component, OnInit } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { FormBuilder, FormGroup, FormControl, Validators } from '@angular/forms';

@Component({
  selector: 'app-brinquedos-pesquisa',
  templateUrl: './brinquedos-pesquisa.page.html',
  styleUrls: ['./brinquedos-pesquisa.page.scss'],
})
export class BrinquedosPesquisaPage implements OnInit {

  form: FormGroup;

  constructor(public modalCtrl: ModalController,
              private formBuilder: FormBuilder) {
    this.createForm()
  }

  ngOnInit() {
  }
  
  createForm() {  
    this.form = this.formBuilder.group({
      filtro_titulo: this.formBuilder.control('', [Validators.required])
    });     
  }  

  aplicar() {
    // Pass back a new array of track names to exclude    
    this.dismiss(this.form.controls["filtro_titulo"].value);
  }

  dismiss(data?: any) {
    // using the injected ModalController this page
    // can "dismiss" itself and pass back data
    this.modalCtrl.dismiss(data);
  }

}
