import { Component, OnInit, ViewChild } from '@angular/core';
import { ConfiguracaoProvider } from '../../services/configuracao/configuracao';
import { PopoverController } from '@ionic/angular';
import { MsgProvider } from '../../services/msg/msg';

@Component({
  selector: 'app-menu-status',
  templateUrl: './menu-status.page.html',
  styleUrls: ['./menu-status.page.scss'],
})
export class MenuStatusPage implements OnInit {
  
  @ViewChild('radioGrupo') radioGrupo;
  
  constructor(private config: ConfiguracaoProvider,              
              private popoverController: PopoverController,
              private msg: MsgProvider) {
     
     
     
  }

  ngOnInit() {
    this.config.getFiltroStatus()
    .then(
      (status) => {
        console.log("ngOnInit getFiltroStatus: " + status);
        this.radioGrupo.value = status;        
      }
    )
    
  }

  ionViewDidEnter() {
    
  }

  // close(event,i){
  // 	this.viewCtrl.dismiss(JSON.stringify({"index":i}));
  // }
  closePopover(status) {            
    this.popoverController.dismiss(status);
  }
  
}
