import { Component, OnInit, ViewChild } from '@angular/core';
import { GlobalService } from '../../services/global.service';
import { Router } from '@angular/router';
import { MsgProvider } from '../../services/msg/msg';

@Component({
  selector: 'app-seleciona-forma-pagamento',
  templateUrl: './seleciona-forma-pagamento.page.html',
  styleUrls: ['./seleciona-forma-pagamento.page.scss'],
})
export class SelecionaFormaPagamentoPage implements OnInit {

  @ViewChild('radioTransferencia') radioTransferencia;
  @ViewChild('radioPagseguro') radioPagseguro;

  constructor(private globalService: GlobalService,
              private router: Router,
              private msg: MsgProvider) { }

  pedido: string;
  franquia: any;
  tipo_pagamento: string;

  ngOnInit() {
    this.pedido = this.globalService.pedido;
    this.franquia = this.globalService.franquia;
  }


  avancar(){
    if (this.radioTransferencia.checked==true){
        this.tipo_pagamento ='transferencia';
    }else if (this.radioPagseguro.checked==true) {
       this.tipo_pagamento ='pagseguro';
    }

    if (this.radioTransferencia.checked==false && this.radioPagseguro.checked==false){
      this.msg.showToast('Selecione a forma de pagamento!');
    }else{
      if (this.tipo_pagamento =='transferencia'){
        this.router.navigateByUrl("transferencia");
      }else if (this.tipo_pagamento =='pagseguro'){
        //this.iniciaSessaoPagseguro();
        this.router.navigateByUrl("pagseguro");
      }
    }

    
  }
}
