import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { TabsPage } from './tabs.page';

const routes: Routes = [
  {
    path: '',
    component: TabsPage,
    children: [
      {
        path: 'brinquedos',
        children: [
          {
            path: '',
            loadChildren: '../brinquedos/brinquedos.module#BrinquedosPageModule'
          }
        ]
      },
      {
        path: 'meu-carrinho',
        children: [
          {
            path: '',
            loadChildren: '../carrinho/carrinho.module#CarrinhoPageModule'
          }
        ]
      },
      {
        path: 'meus-pedidos',
        children: [
          {
            path: '',
            loadChildren: '../meus-pedidos/meus-pedidos.module#MeusPedidosPageModule'
          }
        ]
      }, 
      {
        path: '',
        redirectTo: '/tabs/brinquedos',
        pathMatch: 'full'
      }
    ]
  },
  {
    path: '',
    redirectTo: '/tabs/brinquedos',
    pathMatch: 'full'
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class TabsPageRoutingModule {}
