import { Component, OnInit } from '@angular/core';
import { environment } from '../../../environments/environment';
import { GlobalService } from '../../services/global.service';

@Component({
  selector: 'app-vantagens',
  templateUrl: './vantagens.page.html',
  styleUrls: ['./vantagens.page.scss'],
})
export class VantagensPage implements OnInit {
  url_base: any; 

  htmlStrVantagensEconomia: string = '';
  htmlStrVantagensOrganizacao: string = '';
  htmlStrVantagensMaisDiversao: string = '';
  htmlStrVantagensBrinquedosEducativos: string = '';
  htmlStrVantagensGanhoDeTempo: string = '';
  htmlStrVantagensSustentabilidade: string = '';


  constructor(private globalService: GlobalService) { 
    this.url_base = environment.url_base;
  }

  ngOnInit() {
    this.htmlStrVantagensEconomia = this.globalService.franquia.VANTAGEM_ECONOMIA;
    this.htmlStrVantagensOrganizacao = this.globalService.franquia.VANTAGEM_ORGANIZACAO;
    this.htmlStrVantagensMaisDiversao = this.globalService.franquia.VANTAGEM_MAIS_DIVERSAO;
    this.htmlStrVantagensBrinquedosEducativos = this.globalService.franquia.VANTAGEM_BRINQUEDOS_EDUCATIVOS;
    this.htmlStrVantagensGanhoDeTempo = this.globalService.franquia.VANTAGEM_GANHO_DE_TEMPO;
    this.htmlStrVantagensSustentabilidade = this.globalService.franquia.VANTAGEM_SUSTENTABILIDADE;
  }

}
