import { Injectable } from '@angular/core';
import { LocalStorageProvider } from '../local-storage/local-storage';
import { User } from '../../model/user';

@Injectable({
  providedIn: 'root'
})
export class ConfiguracaoProvider {
  constructor(private localStorageProvider: LocalStorageProvider) {      
  }

  public setFranquia(franquia) {
    return this.localStorageProvider.set('franquia', franquia);
  }

  public setCodigoCliente(codigo_cliente) {
    return this.localStorageProvider.set('codigo_cliente', codigo_cliente);
  }

  public setFiltroStatus(filtro_status) {
    return this.localStorageProvider.set('filtro_status', filtro_status);
  }

  public setFiltroPesquisa(filtro_pesquisa) {
    return this.localStorageProvider.set('filtro_pesquisa', filtro_pesquisa);
  }

  public getFranquia() {
    return this.localStorageProvider.get('franquia');
  }
  
  public getCodigoCliente() {
    return this.localStorageProvider.get('codigo_cliente');
  }

  public getUsuario() {
    return this.localStorageProvider.get('usuario');
  }

  public getFiltroStatus() {
    return this.localStorageProvider.get('filtro_status');
  }

  public getFiltroPesquisa() {
    return this.localStorageProvider.get('filtro_pesquisa');
  }

  public removeFranquia() {
    return this.localStorageProvider.remove('franquia');     
  }  

  public removeUsuario() {
    return this.localStorageProvider.remove('usuario');     
  }

  public removeCodigoCliente() {
    return this.localStorageProvider.remove('codigo_cliente');     
  }  

  public removeFiltroStatus() {
    return this.localStorageProvider.remove('filtro_status');
  }

  public removeFiltroPesquisa() {
    return this.localStorageProvider.remove('filtro_pesquisa');
  }


  

  public gravaUsuario(usuario: User) {
    return this.localStorageProvider.set('usuario', usuario);
  }



}
