import { Injectable } from '@angular/core';
import { Franquia } from '../model/franquia';
import { ConfiguracaoProvider } from './configuracao/configuracao';
import { CarrinhoLocalProvider} from './carrinho/carrinhoLocal';
import { UtilsProvider } from './utils/utils';

@Injectable({
  providedIn: 'root'
})
export class GlobalService {
  //Franquia Atual
  franquia: Franquia;  

  pedidos: any[]; 
  
  filtro_status: string;
  filtro_pesquisa: string;
  atualiza_pedidos: boolean = true;
  
  //Dados do Carrinho Atual  
  pedido: string;
  codigo_cliente: string;
  valor_produto: number;
  desconto: number;
  valor_total: number;
  itens_carinho= []; 
  CODIGO_FORMA_PAGAMENTO: string;

  produto: any;
  statusPagSeguro:boolean = false;


  //DetalhePedido
  detalhe_pedido_pedido: string;
  detalhe_pedido_itens = [];
  detalhe_pedido_historicos = [];
  detalhe_pedido_comprovante: any;

  //Redirect Login - Grava a pagina que chamou o login para redirecionar apos realizar o login
  redirect_login: string;

  TOKEN: string;

  versao: string;

  
 
  constructor(private configuracaoProvider: ConfiguracaoProvider,
              private carrinhoLocalProvider: CarrinhoLocalProvider) {
    console.log("Create GlobalService");
    this.franquia = new Franquia();
    this.franquia.CODIGO_FRANQUIA = null;
  }

  
   setStatusPagSeguro(status:boolean){             
     this.statusPagSeguro = status;
  }

  getStatusPagSeguro(){      
      return this.statusPagSeguro;
  }


  public getFranquiaLocal(){
    console.log("getFranquiaLocal...");
    return new Promise((resolve, reject) => {
      this.configuracaoProvider.getFranquia()
      .then((franquia: any) => {
        if (!UtilsProvider.isEmptyObj(franquia)){
          console.log("getFranquiaLocal franquia: " + franquia.CODIGO_FRANQUIA);
          this.franquia = franquia;  
        }else{
          this.franquia = null;
        }        
        resolve(franquia);        
      })
      .catch(
        (error) => {
          reject(error);
        }
      );  
    });       
  } 

  public getCarrinhoLocal(){
    return this.carrinhoLocalProvider.inicializaCarrinho();
  }

  


}   