import { ToastController, AlertController } from '@ionic/angular';
import { Injectable } from '@angular/core';

/*
  Generated class for the MsgProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
@Injectable({
  providedIn: 'root'
})
export class MsgProvider {

  tempoPadrao = 3000;

  constructor(private toast: ToastController,
              private alertCtrl: AlertController) {
    
  }

  async showToast(mensagem){
     const toast = await this.toast.create({ message: mensagem, position: "bottom", duration: this.tempoPadrao });
     toast.present();
  }

  async showToastCenter(mensagem){
    const toast = await  this.toast.create({ message: mensagem, position: 'middle', duration: this.tempoPadrao });
    toast.present();
  }

  async showAlert(mensagem){
    const alert = await this.alertCtrl.create({
      header: 'Aviso',
      message: mensagem,
      buttons: [
        {
          text: "ok"
        }
      ]
    });
    alert.present();  
  }

  async showAlertErro(mensagem){
    const alert = await this.alertCtrl.create({
      header: 'Erro',
      message: mensagem,
      buttons: [
        {
          text: "ok"
        }
      ]
    });
    alert.present();  
  }
   
  async showAlertEvent(mensagem, event){
    const alert = await this.alertCtrl.create({
      header: 'Aviso',
      message: mensagem,
      buttons: [
        {
          text: "ok",
          handler: event
        }
      ]
    });
    alert.present();  
  }  
}
