import { Injectable } from '@angular/core';

/*
  Generated class for the GlobalProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
@Injectable({
  providedIn: 'root'
})
export class UtilsProvider {

  constructor() {
    console.log('Hello GlobalProvider Provider');
  }

  public static empty(str)
  {
      if (typeof str == 'undefined' || !str || str.length === 0 || str === "" || !/[^\s]/.test(str) || /^\s*$/.test(str))
      {
        return true;
      }
      else
      {
        return false;
      }
      
  }

  public static isEmptyObj(obj) {
    for(var key in obj) {
        if(obj.hasOwnProperty(key))
            return false;
    }
    return true;
  }

  public static findIndexByKey(array, key, value) {
    console.log('findIndexByKey');
    if (!this.isEmptyObj(array)){
      for (var i = 0; i < array.length; i++) {
          console.log("Item:" + array[i][key]);
          if (array[i][key] === value) {
              return i;
          }
      }
    }
    return -1;
  }

  public static findObjectByKey(array, key, value) {
    for (var i = 0; i < array.length; i++) {
        if (array[i][key] === value) {
            return array[i];
        }
    }
    return null;
  }

  public static removeMascara(conteudo: string){
    return conteudo.replace(/\D+/g, '')
  }
  
  public static mascaraCPF(valor) {
    return valor.replace(/(\d{3})(\d{3})(\d{3})(\d{2})/g,"\$1.\$2.\$3\-\$4");
  }

  public static mascaraCNPJ(valor) {
    return valor.replace(/(\d{2})(\d{3})(\d{3})(\d{4})(\d{2})/g,"\$1.\$2.\$3\/\$4-\$5");
  }

  public static mascaraCEP(valor) {
    return valor.replace(/(\d{2})(\d{3})(\d{3})/g,"\$1.\$2-\$3");
  }
  
  public static mascaraCelular(valor) {
      return valor.replace(/(\d{2})(\d{5})(\d{4})/g,"\(\$1\) \$2-\$3");
  }
}
