import { Pipe, PipeTransform } from '@angular/core';
import { CurrencyPipe } from '@angular/common';

/**
 * Generated class for the CurrencyFormatPipe pipe.
 *
 * See https://angular.io/api/core/Pipe for more info on Angular Pipes.
 */
@Pipe({
  name: 'currencyFormat',
})
export class CurrencyFormatPipe implements PipeTransform {
  /**
   * Takes a value and makes it lowercase.
   */
  transform(value: number, locale: string, currency_symbol: boolean, number_format: string = '1.2-2'): string {
      let currencyPipe = new CurrencyPipe('pt-BR');
      let new_value: string;
      
      if (value) {
        new_value = currencyPipe.transform(value, 'BRL', 'symbol', number_format);
      }else{
        new_value = currencyPipe.transform(0, 'BRL', 'symbol', number_format);
      }  

      if (!currency_symbol){
        new_value = new_value.replace('R$', '');          
      }

      return new_value          
  }
}
