import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'search',
})
export class SearchPipe implements PipeTransform {
  transform(items: any[], terms: string, status: string): any[] {
    if(!items) return [];
    if(!terms && !status){
      return items;
    } 

    if(!terms && status =='todos'){
      return items;
    } 

    if (terms && terms.trim() != ''){
      terms = terms.toLowerCase();
    }

    if (status && status.trim() != ''){
      status = status.toLowerCase();
    }

    return items.filter( it => {
      
      if (status == 'disponivel'){
        if (terms && terms.trim() != ''){
          return it.TITULO.toLowerCase().includes(terms) && it.QUANTIDADE > 0;
        }else{
          return it.QUANTIDADE > 0;
        }  
      }else if (status == 'indisponivel'){
        if (terms && terms.trim() != ''){
          return it.TITULO.toLowerCase().includes(terms) && it.QUANTIDADE == 0;        
        }else{
          return it.QUANTIDADE == 0;
        }  
      }else if (status == 'todos'){
        return it.TITULO.toLowerCase().includes(terms);
      }  
    });
  }
}
